%define kdeprefix /opt/kde
%define version 0.6.5
%define kderelease 1
%define sourcedir unstable/apps/network

%define compiler egcs
%define qtver  qt >= 1.42

%define kdename  caitoo
Name: %{kdename}
Summary: Caitoo - Internet download manager for KDE
Version: %{version}
Release: %{kderelease}
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.gz
Copyright: GPL
Group: X11/KDE/Networking
Buildroot: /var/tmp/caitoo-buildroot
Requires: %{qtver}
Prefix: %{kdeprefix}
Packager: Matt Koss <koss@post.sk>

%description
Caitoo ( formerly known as KGet ) is a download manager similar to Go!zilla(tm) 
or GetRight Download(tm). It keeps all your downloads in one dialog and you can
add and remove transfers. Transfers can be paused, resumed, queued or scheduled.
Dialogs display info about status of transfers - progress, size, speed and remaining time.
Program supports drag & drop feature of KDE and Netscape.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n caitoo-%{version}

%build
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS" KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' \
        -e '/\/applnk\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
